/* ETK - The Enlightened ToolKit
 * Copyright (C) 2006-2008 Simon Treny, Hisham Mardam-Bey, Vincent Torri, Viktor Kojouharov
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library. 
 * If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @file Etk.h
 * @brief This file has to be included in all the Etk projects. It includes all the other headers.
 */
#ifndef _ETK_H_
#define _ETK_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "etk_argument.h"
#include "etk_config.h"
#include "etk_main.h"
#include "etk_marshallers.h"
#include "etk_object.h"
#include "etk_property.h"
#include "etk_signal_callback.h"
#include "etk_signal.h"
#include "etk_string.h"
#include "etk_type.h"
#include "etk_types.h"
#include "etk_utils.h"

#include "etk_alignment.h"
#include "etk_bin.h"
#include "etk_box.h"
#include "etk_button.h"
#include "etk_cache.h"
#include "etk_canvas.h"
#include "etk_check_button.h"
#include "etk_colorpicker.h"
#include "etk_combobox.h"
#include "etk_combobox_entry.h"
#include "etk_dialog.h"
#include "etk_dnd.h"
#include "etk_drag.h"
#include "etk_editable.h"
#include "etk_embed.h"
#include "etk_engine.h"
#include "etk_entry.h"
#include "etk_evas_object.h"
#include "etk_event.h"
#include "etk_filechooser_widget.h"
#include "etk_frame.h"
#include "etk_iconbox.h"
#include "etk_image.h"
#include "etk_label.h"
#include "etk_mdi_area.h"
#include "etk_mdi_window.h"
#include "etk_menu.h"
#include "etk_menu_bar.h"
#include "etk_menu_item.h"
#include "etk_menu_shell.h"
#include "etk_message_dialog.h"
#include "etk_notebook.h"
#include "etk_paned.h"
#include "etk_popup_window.h"
#include "etk_progress_bar.h"
#include "etk_radio_button.h"
#include "etk_range.h"
#include "etk_scrollbar.h"
#include "etk_scrolled_view.h"
#include "etk_selection.h"
#include "etk_separator.h"
#include "etk_shadow.h"
#include "etk_slider.h"
#include "etk_spinner.h"
#include "etk_statusbar.h"
#include "etk_stock.h"
#include "etk_table.h"
#include "etk_textblock.h"
#include "etk_textblock2.h"
#include "etk_text_view.h"
#include "etk_text_view2.h"
#include "etk_text_view3.h"
#include "etk_theme.h"
#include "etk_toggle_button.h"
#include "etk_tool_button.h"
#include "etk_toolbar.h"
#include "etk_tooltips.h"
#include "etk_toplevel.h"
#include "etk_tree.h"
#include "etk_tree_model.h"
#include "etk_viewport.h"
#include "etk_widget.h"
#include "etk_window.h"

#ifdef __cplusplus
}
#endif

#endif
